org.apache.hc.client5.http.auth

## Class KerberosCredentials

- java.lang.Object
- - org.apache.hc.client5.http.auth.KerberosCredentials

All Implemented Interfaces:
  Serializable, Credentials

    @Immutable
    public class KerberosCredentials
    extends Object
    implements Credentials, Serializable

`Credentials` implementation based on GSSCredential for Kerberos Authentication.

Since:
  4.4
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`KerberosCredentials(GSSCredential gssCredential)` Constructor with GSSCredential argument

### Method Summary

Methods
`GSSCredential` `getGSSCredential()`
`char[]` `getPassword()`
`Principal` `getUserPrincipal()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### KerberosCredentials

    public KerberosCredentials(GSSCredential gssCredential)

Constructor with GSSCredential argument

Parameters:
  `gssCredential` -

### Method Detail

#### getGSSCredential

    public GSSCredential getGSSCredential()

#### getUserPrincipal

    public Principal getUserPrincipal()

Specified by:
  `getUserPrincipal` in interface `Credentials`

#### getPassword

    public char[] getPassword()

Specified by:
  `getPassword` in interface `Credentials`